%define module	Image-Base
%define name	perl-%{module}
%define version	1.07
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Buildrequires:	perl-devel
Buildarch:	noarch

%description
Base class for loading, manipulating and saving images.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc MANIFEST README
%{perl_vendorlib}/Image/*
%{_mandir}/*/*

%changelog
* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.07-2mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Fri Jun 13 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.07-1mdk
- first mdk release
